
/*
*	MCreator note: This file will be REGENERATED on each build.
*/
package net.mcreator.kitchencraftfoods.init;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.village.WandererTradesEvent;
import net.minecraftforge.event.village.VillagerTradesEvent;
import net.minecraftforge.common.BasicItemListing;

import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.item.Items;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.entity.npc.VillagerProfession;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.FORGE)
public class KitchencraftFoodsModTrades {
	@SubscribeEvent
	public static void registerWanderingTrades(WandererTradesEvent event) {
		event.getGenericTrades().add(new BasicItemListing(new ItemStack(Items.IRON_INGOT),

				new ItemStack(KitchencraftFoodsModItems.RICE.get(), 20), 10, 5, 0.05f));
		event.getGenericTrades().add(new BasicItemListing(new ItemStack(Blocks.COBBLED_DEEPSLATE),

				new ItemStack(KitchencraftFoodsModItems.RICE.get(), 9), 10, 5, 0.05f));
	}

	@SubscribeEvent
	public static void registerTrades(VillagerTradesEvent event) {
		if (event.getType() == VillagerProfession.FARMER) {
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(Blocks.WHEAT, 4), new ItemStack(Blocks.SUGAR_CANE, 5), new ItemStack(KitchencraftFoodsModItems.DILL.get(), 3), 10, 5, 0.05f));
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(Items.APPLE), new ItemStack(KitchencraftFoodsModItems.OLIVE.get(), 6), new ItemStack(KitchencraftFoodsModItems.TOMATO.get(), 3), 10, 5, 0.05f));
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(Items.EMERALD), new ItemStack(Blocks.YELLOW_CANDLE, 3), new ItemStack(KitchencraftFoodsModItems.CUCUMBER.get(), 5), 10, 5, 0.05f));
		}
		if (event.getType() == VillagerProfession.FARMER) {
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(Items.EMERALD, 3),

					new ItemStack(KitchencraftFoodsModItems.RADISH.get()), 10, 2, 0.05f));
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(Items.ROTTEN_FLESH),

					new ItemStack(KitchencraftFoodsModItems.SPINACH.get()), 10, 4, 0.05f));
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(Items.EMERALD, 5),

					new ItemStack(KitchencraftFoodsModItems.SPINACH.get(), 3), 10, 8, 0.05f));
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(Items.BONE),

					new ItemStack(KitchencraftFoodsModItems.BELL_PEPPER.get(), 2), 10, 8, 0.05f));
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(Items.EMERALD),

					new ItemStack(KitchencraftFoodsModItems.BELL_PEPPER.get()), 10, 7, 0.05f));
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(Items.WATER_BUCKET),

					new ItemStack(KitchencraftFoodsModItems.RHUBARB.get(), 5), 10, 9, 0.05f));
			event.getTrades().get(2).add(new BasicItemListing(new ItemStack(Items.EMERALD, 5),

					new ItemStack(KitchencraftFoodsModItems.CORN.get(), 6), 10, 5, 0.05f));
			event.getTrades().get(2).add(new BasicItemListing(new ItemStack(KitchencraftFoodsModItems.DILL.get()),

					new ItemStack(KitchencraftFoodsModItems.STRAWBERRY.get(), 10), 10, 5, 0.05f));
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(Items.EMERALD),

					new ItemStack(KitchencraftFoodsModItems.BROCCOLI.get(), 5), 10, 11, 0.03f));
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(Blocks.DIRT, 30),

					new ItemStack(KitchencraftFoodsModItems.CAULIFLOWER.get(), 23), 10, 5, 0.05f));
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(KitchencraftFoodsModItems.BEANS.get(), 20),

					new ItemStack(Items.IRON_HOE), 10, 5, 0.05f));
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(Items.BONE_MEAL),

					new ItemStack(Items.GOLDEN_SHOVEL), 10, 5, 0.05f));
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(Items.WOODEN_HOE),

					new ItemStack(KitchencraftFoodsModItems.PARSNIP.get(), 5), 10, 5, 0.05f));
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(Items.EMERALD),

					new ItemStack(KitchencraftFoodsModItems.PARSNIP.get(), 6), 10, 5, 0.05f));
			event.getTrades().get(1).add(new BasicItemListing(new ItemStack(Items.EMERALD, 3),

					new ItemStack(KitchencraftFoodsModItems.PARSNIP.get(), 30), 10, 5, 0.05f));
		}
	}
}
